using UnityEngine;
using System.Collections;

public class Camera2DFollow : MonoBehaviour {

    public Transform target;
    public float smoothTime = 0.3f;

    private Vector3 velocity = Vector3.zero;

    void Update() {
        if (target != null) {
            Vector3 goalPos = target.position;
            goalPos.y = target.position.y + 2.735105f; //2.735105f    0.835001f
            goalPos.z = -10;
            goalPos.x = target.position.x + 5;
            transform.position = Vector3.SmoothDamp(transform.position, goalPos, ref velocity, smoothTime);
        }
    }
}
